Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor
Class IDEDiagramDocumentEditor

    java.lang.Object
      DiagramEditorWithFlyOutPalette
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor

All Implemented Interfaces:
  IAdaptable, IDocumentEditor, IGotoMarker, IEditorPart, IReusableEditor, ISaveablePart, IWorkbenchPart

Direct Known Subclasses:
  FileDiagramEditor

    public class IDEDiagramDocumentEditor

extends DiagramDocumentEditor
implements IGotoMarker

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`IDEDiagramDocumentEditor(boolean hasFlyoutPalette)`

Method Summary
`void` `gotoMarker(IMarker marker)` go to a specific marker
`protected void` `performSaveAs(IProgressMonitor progressMonitor)` Performs a save as and reports the result state back to the given progress monitor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSaveAs, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getAdapter, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getDocumentProvider, getEditingDomain, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isSaveAsAllowed, performSave, releaseInput, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setDocumentProvider, setInput, setSite, updateState, validateEditorInputState, validateState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### IDEDiagramDocumentEditor

    public IDEDiagramDocumentEditor(boolean hasFlyoutPalette)

Method Detail

### performSaveAs

    protected void performSaveAs(IProgressMonitor progressMonitor)

  Performs a save as and reports the result state back to the given progress monitor. This default implementation does nothing. Subclasses may reimplement.

  Overrides:
    `performSaveAs` in class `DiagramDocumentEditor`
  Parameters:
    `progressMonitor` - the progress monitor for communicating result state or `null`

### gotoMarker

    public final void gotoMarker(IMarker marker)

  go to a specific marker

  Specified by:
    `gotoMarker` in interface `IGotoMarker`
  Parameters:
    `marker` - marker to use

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.